C----------------------------------------------------------------------
C Common fixed parameters for mkmod and lsfun1.
C
C	N	Number of boxes of the differential model.
C	NCONT	Number of control variables.
C----------------------------------------------------------------------

      INTEGER N, NCONT
      PARAMETER(N      = 4)
      PARAMETER(NCONT  = 2*N-3)

C----------------------------------------------------------------------
C Common variables of main program and subroutine FUNC1
C (The COMMON blocks are necessary because FUNC1 is required to have a
C standard form argument list):
C
C Input to LSFUN1:
C	ARESP	Vec of response coefficients.
C	TAURINV	Vec of inverse time constants.
C	WEIGHT	Vec of weighting factors to functions.
C	HL1	1st box thickness (no control variable!)
C
C Output from LSFUN1:
C	MSYST	System matrix of the differential model.
C	CEIGR	Matrix with real parts of the eigenvectors.
C	CEIGI	Matrix with imaginary parts of the eigenvectors.
C	LAMBDAR	Real parts of the eigenvalues.
C	LAMBDAI	Imaginary parts of the eigenvectors.
C	RPULSE	Carbon pulse in eigenvector coordinates.
C	BRESP	Response coefficients as computed by LSFUN1.
C----------------------------------------------------------------------

      COMMON /COMMIN/ ARESP, TAURINV, WEIGHT, HL1
      REAL*8 ARESP(N), TAURINV(N), WEIGHT(2*N), HL1

      COMMON /COMOUT/ MSYST, CEIGR, CEIGI,
     .                LAMBDAR, LAMBDAI, RPULSE, BRESP
      REAL*8 MSYST(N,N), CEIGR(N,N), CEIGI(N,N),
     .       LAMBDAR(N), LAMBDAI(N), RPULSE(N), BRESP(N)

C----------------------------------------------------------------------
