      PROGRAM PLOTIRFS
C======================================================================
C Beware!
C -------
C Has been used only once.
C parameter values are given in the source.
C (Very bad style.)
C Could be improved by reading parameters from input.*
C
C Purpose:
C --------
C plot ocean irf
C plot t2m irf (incl sensi)
CC 1. Ocean-atmosphere IRF: HAMOCC 1% 1999:10
C
C
C Copyright
C ---------
C (C) 2001 K.G.Hooss
C
C This program is free software; you can redistribute it and/or
C modify it under the terms of the GNU General Public License
C as published by the Free Software Foundation; either version 2
C of the License, or (at your option) any later version.
C 
C This program is distributed in the hope that it will be useful,
C but WITHOUT ANY WARRANTY; without even the implied warranty of
C MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C GNU General Public License for more details.
C 
C You should have received a copy of the GNU General Public License
C along with this program; if not, write to the Free Software
C Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
C======================================================================
C parameter values from NICCS input file
C--------------------------------------------------------------------------
C RW ampl: RWA0           RWA1           RWA2           RWA3           RWA4
C       0.131918       0.311146       0.252849       0.209027      0.0950613
C RW time:                RWT1           RWT2           RWT3           RWT4
C                    0.2365E+03     0.5952E+02      0.1217E+02    0.1271E+01
C--------------------------------------------------------------------------
C T2m sensitivity to CO2 doubling (global mean in degrees C):
C                               2.38742
C RPCT ampl:            RPCTA1         RPCTA2
C                      0.290275       0.709724
C RPCT time:            RPCTT1         RPCTT2
C                          400.            12.
C======================================================================
C parameter declarations
C======================================================================

      IMPLICIT NONE

      REAL*8 T0, DT, TEND

      PARAMETER(T0   =    0.0)
      PARAMETER(DT   =    5.0)
      PARAMETER(TEND = 1000.0)

      INTEGER NT

      PARAMETER(NT = (TEND - T0) / DT)

C======================================================================
C variable declarations
C======================================================================

      INTEGER IT
      REAL*8 TIME(0:NT), RW(0:NT), RPCT(0:NT)
      REAL*8 RWA0, RWA1, RWA2, RWA3, RWA4, RWT1, RWT2, RWT3, RWT4
      REAL*8 SENSIT, RPCTA1, RPCTA2, RPCTT1, RPCTT2

C======================================================================
C assign IRF parameter values
C======================================================================

C----------------------------------------------------------------------
C RW
C----------------------------------------------------------------------

      rwa0 = 0.131918
      rwa1 = 0.311146
      rwa2 = 0.252849
      rwa3 = 0.209027
      rwa4 = 0.0950613

      rwt1 = 0.2365E+03
      rwt2 = 0.5952E+02
      rwt3 = 0.1217E+02
      rwt4 = 0.1271E+01

C--------------------------------------------------------------------------
C RPCT
C--------------------------------------------------------------------------

C      sensiT = 2.38742
      sensiT = 2.5

      RPCTA1 = 0.290275
      RPCTA2 = 0.709724

      RPCTT1 = 400.000
      RPCTT2 = 12.000

C======================================================================
C compute irfs
C======================================================================

      DO IT = 0,NT

        TIME(IT) = T0 + IT * DT

C----------------------------------------------------------------------
C Rw
C----------------------------------------------------------------------

        RW(IT) =
     .    rwa0 +
     .    rwa1 * eXp(-TIME(IT)/rwt1) +
     .    rwa2 * exp(-TIME(IT)/rwt2) +
     .    rwa3 * exp(-TIME(IT)/rwt3) +
     .    rwa4 * exp(-TIME(IT)/rwt4)


C----------------------------------------------------------------------
C RPCT
C----------------------------------------------------------------------

        RPCT(IT) = 
     .    sensiT * (
     .    RPCTA1  * (1. - exp(-TIME(IT)/RPCTT1)) +
     .    RPCTA2  * (1. - exp(-TIME(IT)/RPCTT2)) )

      END DO

C======================================================================
C output irfs
C======================================================================

      WRITE(*,'(F12.4,2E16.6)')
     .     (TIME(IT), RW(IT), RPCT(IT), IT=0,NT)

      END

C======================================================================
