
      PROGRAM XIFROP
C----------------------------------------------------------------------
C purpose:
C --------
C test program for subroutine CHEM in XIBUF.F
C compute DIC (sigma-co2) and buffer factor (xi) from given pco2
C
C author:
C -------
C kurt georg hooss 
C
C
C Copyright
C ---------
C (C) 2001 K.G.Hooss
C
C This program is free software; you can redistribute it and/or
C modify it under the terms of the GNU General Public License
C as published by the Free Software Foundation; either version 2
C of the License, or (at your option) any later version.
C 
C This program is distributed in the hope that it will be useful,
C but WITHOUT ANY WARRANTY; without even the implied warranty of
C MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C GNU General Public License for more details.
C 
C You should have received a copy of the GNU General Public License
C along with this program; if not, write to the Free Software
C Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
C----------------------------------------------------------------------

      IMPLICIT NONE

#include "scparche.h"
#include "scmatbox.h"

      REAL PCO2

      ALPHAA = 0.471380E+00
      ALPHAS = 0.298800E+08
      AK1    = 0.995200E-06
      AK2    = 0.707600E-09
      AKB    = 0.188100E-08
      AKW    = 0.646300E-14
      ALK    = 0.243400E-02
      BTS    = 0.409000E-03

      PCO2 = 0.280000E+03
      W0 = PCO2 / ALPHAA

      CALL CHEM

      WRITE(*,*)
      WRITE(*,*) 'XIFROP:'
      WRITE(*,*)
      WRITE(*,*) 'PCO2   = ', PCO2
      WRITE(*,*) 'SIGC0 = ', SIGC0
      WRITE(*,*) 'XIBUF  = ', XIBUF
      WRITE(*,*)

      END

C----------------------------------------------------------------------
