C**  sc_cost.h  *******************************************************
C
C Economy-related arrays:
C
C	CABAT	Abatement costs.
C	CAR, CARD, CARDD
C		Terms in abatement costs.
C	CAH	Extra term in abatement costs for consumer-supplier case.
C
C	CDAMG	Damage costs.
C	CDT, CDTD
C		Temperature dependent terms in damage costs.
C
C	DISCOA	Discount rate for abatement costs.
C	DISCOD	Discount rate for damage costs.
C
C These vectors have dimensions 0:NTAU because there is one value for
C the end of each time step interval plus one single value for the
C beginning of the first time step interval; this means NTAU+1 elements.
C
C G.Hooss, MPI Me HH, dec 1996.
C----------------------------------------------------------------------

      COMMON /CCOST/ CABAT(0:NTAU), CDAMG(0:NTAU), CAR(0:NTAU),
     .            CARD(0:NTAU), CARDD(0:NTAU),
     .            CDT(0:NTAU), CDTD(0:NTAU),  
     .            DISCOA(0:NTAU), DISCOD(0:NTAU), CAH(0:NTAU)

      REAL CABAT, CDAMG, CAR, CARD, CARDD, CDT, CDTD,
     .     DISCOA, DISCOD, CAH

C**  Last line of sc_cost.h  ******************************************
