C----------------------------------------------------------------------
C Parameters & commons for the box diffusion carbon model:
C	NBX	Number of boxes of the model.
C	MSYS	Mat describing the model.
C
C	HH	Ocean box model layer thicknesses.
C	HS	Thickness of the mixed layer.
C	HLINV	Inverse HH
C	HSINV	Inverse HS
C	ETA	Ocean box model diffusion coefficients.
C
C	AW4	Immediate mixed-layer fraction of impulse into
C		 composite layer.
C	SIGC0	Preindustrial DIC
C	XIBUF	Preindustrial Revelle buffer factor.
C
C G.Hooss, MPI Met, July 1997
C----------------------------------------------------------------------

      INTEGER NBX
      PARAMETER(NBX = 4)

      COMMON/CARBMS/MSYS, HLINV, HH, ETA, HS, HSINV, AW4, SIGC0, XIBUF
      REAL MSYS(NBX,NBX)
      REAL HH(NBX), HLINV(NBX), ETA(NBX)
      REAL HS, HSINV, AW4, SIGC0, XIBUF
C-- end ---------------------------------------------------------------
