C----------------------------------------------------------------------
C COMMON block containing parameters for land vegetation model
C (initialized from input, then read-only).
C The biosphere module can be switched off by setting BETANPP=0.
C
C	FNPP0	Unperturbed (preindustrial) net primary production (GtC/y)
C	BETANPP	Log NPP fertil coefficient.
C	NPPFAC  Auxiliary (NPPFAC  = FNPP0 * BETANPP).
C
C	BJOOi	Coefficients of biospheric decay IRF.
C	BHOOi	Coefficients of biospheric pool IRF.
C	TJOOi	Time scales of biospheric decay IRF.
C
C	FCORR	Factor for short-term correction term.
C
C G.Hooss, MPI Met 1999-10
C----------------------------------------------------------------------
      COMMON /BIOPAR/  FNPP0, BETANPP, NPPFAC, FCORR,
     .                 BJOO1,    BJOO2,    BJOO3,    BJOO4,
     . 	               BHOO1,    BHOO2,    BHOO3,    BHOO4,
     .                 TJOO1,    TJOO2,    TJOO3,    TJOO4,
     .                 TJOO1INV, TJOO2INV, TJOO3INV, TJOO4INV

      REAL FNPP0, BETANPP, NPPFAC, FCORR

      REAL BJOO1,    BJOO2,    BJOO3,    BJOO4
      REAL BHOO1,    BHOO2,    BHOO3,    BHOO4
      REAL TJOO1,    TJOO2,    TJOO3,    TJOO4
      REAL TJOO1INV, TJOO2INV, TJOO3INV, TJOO4INV
C----------------------------------------------------------------------
