C** sparchem.h ********************************************************
C
C COMMON block containing parameters for the carbon chemistry module
C (initialized from input, then read-only):
C
C	W0	Preindustrial carbon load of the atmosphere (GtC).
C	ALK	Constant value of the alkalinity.
C	BTS	Total borate concentration (mol/l).
C	AOC	Global ocean surface area.
C
C	AK1, AK2, AKB
C		Dissociation constants for (bi-)carbonate & borate (mol/l).
C	AKW	Dissociation constant of water (mol/l)^2 .
C
C	ALPHAA	Conversion atmosph.C (GtC) -> atm.'partial pressure'(ppm).
C	ALPHAS	Henry's law constant [H2CO3] (mol/l) -> pCO2 (ppm).
C
C G.Hooss, MPI Me HH, nov 1997.
C----------------------------------------------------------------------
      COMMON /CHEPAR/  W0, ALK, BTS, AOC,
     .                 AK1, AK2, AKB, AKW,
     .                 ALPHAA, ALPHAS

      REAL  W0, ALK, BTS, AOC,
     .      AK1, AK2, AKB, AKW,
     .      ALPHAA, ALPHAS
C----------------------------------------------------------------------
