C----------------------------------------------------------------------
C COMMON block containing variables initialized from input data:
C economic model parameters including multiplayer options & parameters.
C
C	TAUA	Discounting time constant in abatement costs expression.
C	TAUD	Discounting time constant in damage costs expression.
C
C	TAU0, TAU1, TAU2, TAU3
C		Time constants in abatement costs expression.
C	EBS	Small number that prevents denominator from being zero
C		 in abatement costs expression.
C
C	TC, TDC	Critical temperature & rate of change in damage
C		 costs expression.
C	NTN	Exponent of temperature & its time derivative
C		 in damage cost function.
C
C	OPTPAR	Multiplayer case switch.
C		0:	Single player optimization.
C		1:	N identical actor case.
C		2:	Single mitigator case.
C		3:	Consumer-supplier case.
C
C	NPLPAR	Number of actors (N) in case 1.
C	AN	Number of actors (including mitigator; case 2).
C	BETA	Price-consumption interaction parameter (case 3).
C	ALAMBDA	Rescaling factor in abatement cost expression (case 3).
C
C G.Hooss, MPI Me HH, dec 1996.
C
C Completed with EPS (only for throughput through tune.F).
C G.Hooss, MPI Me HH, oct 19969
C----------------------------------------------------------------------

      COMMON /ECOPAR/   TAUA, TAUD, EBS,
     .                  TAU0, TAU1, TAU2, TAU3,
     .                  TC, TDC,
     .                  NPLPAR, AN, ALAMBDA,
     .                  BETA, EPS,
     .                  OPTPAR, NTN

      REAL              TAUA, TAUD, EBS,
     .                  TAU0, TAU1, TAU2, TAU3,
     .			TC, TDC,
     .			NPLPAR, AN, ALAMBDA,
     .                  BETA, EPS
      INTEGER OPTPAR, NTN

C-- end ---------------------------------------------------------------
