C----------------------------------------------------------------------
C COMMON block containing ocean carbon cycle and climate model parameters
C (initialized from input, thereafter read-only).
C Impulse-response-function (IRF) amplitudes & time constants.
C
C----------------------------------------------------------------------
C Ocean carbon cycle IRF.	No.of timescales: 4 1/2
C----------------------------------------------------------------------
C	RWA0, ... , RWA4	Coefficients ("amplitudes") in
C				 emission->concentration IRF.
C	RWT1, ... , RWT4	Time constants in exponentials of
C				 emission->concentration IRF.
C----------------------------------------------------------------------
C PC1 of T2m, cloudiness, precipitation, sea level from ECHAM3(T21)-LSG.
C				No.of timescales: 2
C----------------------------------------------------------------------
C	RPCTA1, RPCTA2		Coefficients ("amplitudes") in
C				 concentration->temp(1.pc) IRF.
C	RPCTT1, RPCTT2		Time constants in exponentials of
C				 concentration->temp(1.pc) IRF.
C	RPCCA1, RPCCA2		Coefficients ("amplitudes") in
C				 concentration->cloudiness(1.pc) IRF.
C	RPCCT1, RPCCT2		Time constants in exponentials of
C				 concentration->cloudiness(1.pc) IRF.
C	RPCPA1, RPCPA2		Coefficients ("amplitudes") in
C				 concentration->precip(1.pc) IRF.
C	RPCPT1, RPCPT2		Time constants in exponentials of
C				 concentration->precip(1.pc) IRF.
C	RPCSA1, RPCSA2		Coefficients ("amplitudes") in
C				 concentration->sea level (1.pc) IRF.
C	RPCST1, RPCST2		Time constants in exponentials of
C				 concentration->sea level (1.pc) IRF.
C
C G.Hooss, MPI Me HH, dec 1996.
C Last update: 2000-07-24 (verstion 1602)
C======================================================================

      COMMON /IRFPAR/	RWA0, RWA1, RWA2, RWA3, RWA4,
     .			RWT1, RWT2, RWT3, RWT4,
     .			RPCTA1, RPCTA2,
     .			RPCTT1, RPCTT2,
     .			RPCCA1, RPCCA2,
     .			RPCCT1, RPCCT2,
     .			RPCPA1, RPCPA2,
     .			RPCPT1, RPCPT2,
     .			RPCSA1, RPCSA2,
     .			RPCST1, RPCST2

      REAL RWA0, RWA1, RWA2, RWA3, RWA4                             
      REAL       RWT1, RWT2, RWT3, RWT4
      REAL       RPCTA1, RPCTA2
      REAL       RPCTT1, RPCTT2
      REAL       RPCCA1, RPCCA2
      REAL       RPCCT1, RPCCT2
      REAL       RPCPA1, RPCPA2
      REAL       RPCPT1, RPCPT2
      REAL       RPCSA1, RPCSA2
      REAL       RPCST1, RPCST2

C-- end --------------------------------------------------------------
