#======================================================================
# Input to NICOCAL program.
# Filter this by "grep -v '#'",
# pipe through NICOCAL into NICCS, LICCS, NICAOS
#
# SigmaC_0 and xibuf will be computed by the NICOCAL program,
# likewise the layer thicknesses (H1,...,H4,Hsurf) and
# diffusion coefficients (ETA2,3,4) of the ocean CarC boxmodel.
#==========================================================================
# 1. Carbon cycle
#==========================================================================
# 1.1 Ocean-atmosphere IRF: HAMOCC 1% 1999:10
#--------------------------------------------------------------------------
# RW ampl: RWA0           RWA1           RWA2           RWA3           RWA4
       0.131918       0.311146       0.252849       0.209027      0.0950613
# RW time:                RWT1           RWT2           RWT3           RWT4
                    0.2365E+03     0.5952E+02      0.1217E+02    0.1271E+01
#--------------------------------------------------------------------------
# 1.2 Ocean chemistry (get consistent SigmaC_0 and Xibuf using xibuf.F)
#--------------------------------------------------------------------------
# Chem.:           pCO2_0/ppmv            ALK        Total B            AOC
                  0.277715E+03   0.243400E-02   0.409000E-03   0.362000E+15
# Chem.:                    K1             K2             KB             KW
                  0.995200E-06   0.707600E-09   0.188100E-08   0.646300E-14
# Chem.:                AlphaA         AlphaS       SigmaC_0          Xibuf
                  0.471380E+00   0.298800E+08            0.0            0.0
#--------------------------------------------------------------------------
# 1.3 Land biosphere fertilization paramters
#--------------------------------------------------------------------------
# NPP fertil.            NPP_0        BETANPP
                          60.0          0.0
#--------------------------------------------------------------------------
# 1.4 Land biospheric decay IRF
#--------------------------------------------------------------------------
# RBJ ampl:                BJ1            BJ2            BJ3            BJ4
                      -0.71846        0.70211       0.013414      0.0029323
# RBJ time:                TJ1            TJ2            TJ3            TJ4
                          2.18           2.86           20.0          100.0
#==========================================================================
# 2. Climate change IRFs
#==========================================================================
# T2m sensitivity to CO2 doubling (global mean in degrees C):
                               2.38742
# RPCT ampl:            RPCTA1         RPCTA2
                      0.290275       0.709724
# RPCT time:            RPCTT1         RPCTT2
                          400.            12.
#--------------------------------------------------------------------------
# Cloud coverage sensitivity to CO2 doubling (global mean in %):
                              -0.0087056
# RPCC ampl:            RPCCA1         RPCCA2
                      0.290275       0.709724
# RPCC time:            RPCCT1         RPCCT2
                          400.            12.
#--------------------------------------------------------------------------
# Precipitation sensitivity to CO2 doubling (global mean in mm/day):
                               0.145257
# RPCP ampl:            RPCPA1         RPCPA2
                      0.290275       0.709724
# RPCP time:            RPCPT1         RPCPT2
                          400.            12.
#--------------------------------------------------------------------------
# Sea level sensitivity to CO2 doubling (global mean in meters):
                               1.13728
# RPCS ampl:            RPCSA1         RPCSA2
                      0.962914      0.0370862
# RPCS time:            RPCST1         RPCST2
                          800.            25.
#==========================================================================
# Ocean CarC boxmodel parameters.
# First-guess values only.
# These variables will be changed by the NICOCAL program.
#==========================================================================
# 1. Ocean analogue parameters # Layers: H1 H2 H3 H4 Hsurf
            0.0            0.0         1000.0         1000.0            0.0
# Diffus:  ETA1           ETA2           ETA3           ETA4
            0.0            1.0            1.0           10.0
#
#== end ===================================================================
